######################################################################
#
# Macro Name    : c:/users/public/gemcom/surpac/63/demo_data/tutorials/solids/_06_2_edit_solid.tcl
#
# Version       : Surpac 6.3
#
# Creation Date : Mon Apr 02 10:00:39 2012
#
# Description   : 
#
######################################################################

set status [ SclFunction "EXIT GRAPHICS" {} ]

set status [ SclFunction "RECALL ANY FILE" {
  file="mod8.dtm"
  mode="openInNewLayer"
}]

set status [ SclFunction "TRISOLATION RENUMBER" {
  select_triangle={
    {
      winx="0.021"
      winy="-0.851"
      objectx="5349.095"
      objecty="10112.295"
      objectz="977.194"
    }
  }
  frm00453={
    {
      _action="display"
      newobj="21"
      newtrisol="1"
    }
  }
}]

set status [ SclFunction "TOOL MODE TRADITIONAL" {} ]

set status [ SclFunction "TOOL CANCEL CURRENT" {} ]

set status [ SclFunction "TRISOLATION RENUMBER" {
  select_triangle={
    {
      winx="-0.001"
      winy="0.614"
      objectx="5330.620"
      objecty="10782.029"
      objectz="1055.695"
    }
  }
  frm00453={
    {
      _action="display"
      newobj="22"
      newtrisol="2"
    }
  }
}]

set status [ SclFunction "TOOL MODE TRADITIONAL" {} ]

set status [ SclFunction "TOOL CANCEL CURRENT" {} ]

set status [ SclFunction "SAVE FILE AS" {
  output_file="mod8.dtm"
  output_type="Surpac DTM Files"
  output_filenames="mod8.dtm,mod8.str"
  Surpac={
    Purpose=""
    range=""
    FileFormat="text"
    ForceValidation="true"
    ForceCompatibility="true"
  }
  frmSaveMultipleFiles={
    {
      _action="display"
    }
  }
}]

puts ""
puts ""
puts ""
puts ""
puts "Macro 06_edit_solid.tcl completed."
puts ""
puts ""